#ifndef DIALOGSELECTMASTER_H
#define DIALOGSELECTMASTER_H

class TQButtonGroup;
#include <tqradiobutton.h>
class TQScrollView;
#include <tqstringlist.h>
class TQVBox;
class TQVBoxLayout;

class KComboBox;
#include <kdialogbase.h>

class Mixer;

class DialogSelectMaster : public KDialogBase
{
    Q_OBJECT
  
 public:
    DialogSelectMaster(Mixer *);
    ~DialogSelectMaster();

 signals:
    void newMasterSelected(int, TQString& );

 public slots:
    void apply();

 private:
    void createWidgets(Mixer*);
    void createPage(Mixer*);
    TQVBoxLayout* _layout;
    KComboBox* m_cMixer;
    TQScrollView* m_scrollableChannelSelector;
    TQVBox *m_vboxForScrollView;
    TQButtonGroup *m_buttonGroupForScrollView;
    TQStringList m_mixerPKs;

 private slots:
   void createPageByID(int mixerId);
};

#endif
